Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class MediaOutputResource

    java.lang.Object
      org.richfaces.resource.AbstractUserResource
          org.richfaces.resource.MediaOutputResource

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.richfaces.resource.CacheableResource, org.richfaces.resource.ContentProducerResource, org.richfaces.resource.UserResource

    public class MediaOutputResource

extends org.richfaces.resource.AbstractUserResource
implements javax.faces.component.StateHolder, org.richfaces.resource.CacheableResource

Since:
  4.0
Author:
  Nick Belaevski

Constructor Summary
`MediaOutputResource()`

Method Summary
`void` | `encode(javax.faces.context.FacesContext facesContext)`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getEntityTag(javax.faces.context.FacesContext context)`
`java.util.Date` | `getExpires(javax.faces.context.FacesContext context)`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`
`int` | `getTimeToLive(javax.faces.context.FacesContext context)`
`void` | `initialize()`
`boolean` | `isCacheable(javax.faces.context.FacesContext context)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object stateObject)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setCacheable(boolean cacheable)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class org.richfaces.resource.AbstractUserResource
`getContentLength, getLastModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaOutputResource

    public MediaOutputResource()

Method Detail

### encode

    public void encode(javax.faces.context.FacesContext facesContext)
                throws java.io.IOException

  Specified by:
    `encode` in interface `org.richfaces.resource.ContentProducerResource`
  Throws:
    `java.io.IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object stateObject)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### initialize

    public void initialize()

  Parameters:
    `uiMediaOutput` -

### isCacheable

    public boolean isCacheable(javax.faces.context.FacesContext context)

  Specified by:
    `isCacheable` in interface `org.richfaces.resource.CacheableResource`

### setCacheable

    public void setCacheable(boolean cacheable)

### getExpires

    public java.util.Date getExpires(javax.faces.context.FacesContext context)

  Specified by:
    `getExpires` in interface `org.richfaces.resource.CacheableResource`

### getTimeToLive

    public int getTimeToLive(javax.faces.context.FacesContext context)

  Specified by:
    `getTimeToLive` in interface `org.richfaces.resource.CacheableResource`

### getEntityTag

    public java.lang.String getEntityTag(javax.faces.context.FacesContext context)

  Specified by:
    `getEntityTag` in interface `org.richfaces.resource.CacheableResource`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `org.richfaces.resource.UserResource`

### setContentType

    public void setContentType(java.lang.String contentType)

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `org.richfaces.resource.UserResource`
  Overrides:
    `getResponseHeaders` in class `org.richfaces.resource.AbstractUserResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.